Bug 205067 - Requirement "service in crond" not met by user "tux"
Summary: Requirement "service in crond" not met by user "tux"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-03 12:32 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: pam-0.99.6.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 18:40:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-09-03 12:32:05 UTC
Description of problem:
Your last change in /etc/pam.d/system-auth (system-auth: skip session pam_unix 
for crond service) causes a problem which direct results in unnecessary logfile 
messages in /var/log/secure when doing ssh logins:

sshd[10085]: Accepted password for tux from 192.168.0.1 port 62900 ssh2
sshd[10087]: pam_succeed_if(sshd:session): requirement "service in crond" not 
met by user "tux"
sshd[10087]: pam_unix(sshd:session): session opened for user tux by (uid=0)

BTW, same is e.g. at "su -":
su: pam_succeed_if(su-l:session): requirement "service in crond" not met by user 
"root"
su: pam_unix(su-l:session): session opened for user root by tux(uid=500)

Version-Release number of selected component (if applicable):
pam-0.99.6.2-1

How reproducible & Steps to Reproduce:
Everytime, upgrade to pam-0.99.6.2-1, do a ssh login and have a look into
/var/log/secure log file.

Actual results:
Unnecessary log messages.

Expected results:
Silence like before...

Comment 1 Tomas Mraz 2006-09-04 07:13:05 UTC
Oops, I've forgot to add 'quiet' parameter there.



Note You need to log in before you can comment on or make changes to this bug.